# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

- Defined in src/test/utils/errorInterceptor.ts:1

#####
Index

### Constructors

constructor

### Properties

running
instance

### Methods

add
clear
remove
getInstance

## Constructors

### constructor

- new default(): default

- #### Returns default

  - Defined in src/test/utils/errorInterceptor.ts:5

## Properties

### running

running: any

- Defined in src/test/utils/errorInterceptor.ts:3

### `Static` `Private` instance

instance: default

- Defined in src/test/utils/errorInterceptor.ts:2

## Methods

### add

- add(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/errorInterceptor.ts:20

### clear

- clear(): void

- #### Returns void

  - Defined in src/test/utils/errorInterceptor.ts:16

### remove

- remove(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/errorInterceptor.ts:24

### `Static` getInstance

- getInstance(): default

- #### Returns default

  - Defined in src/test/utils/errorInterceptor.ts:9